libgtkdatabox (1:1.0.0-1+4.1) unstable; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Wed, 19 Jun 2024 16:16:55 +0000

libgtkdatabox (1:1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Switch to GTK 3 (Closes: #967582)
  * Drop patches no longer needed, refresh remaining
  * Do not install examples/*.glade files which no longer exist
  * Switch to libgtkdatabox1
  * Adapt packaging for new documentation
  * Let debhelper install files instead of d-shlibs
  * Update debian/copyright
  * Add myself to Uploaders
  * Remove trailing whitespace from debian/changelog
  * Drop unused lintian-overrides
  * Bump Standards-Version to 4.6.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 05 Jan 2022 13:59:38 +0000

libgtkdatabox (1:0.9.3.1-2) unstable; urgency=medium

  * Team upload
  * Thanks Laurent Bigonville for the NMU (Closes: #977202)
  * Only ship AUTHORS, README in libgtkdatabox-doc (Closes: #977405)
  * Ship examples in libgtkdatabox-doc instead of libgtkdatabox-dev,
    fix symlinks (Closes: #857776)
  * Update Breaks+Replaces for relocated files
  * Do not patch generated files, fixes FTBFSx2
  * Explicitly link libgtkdatabox against libm to avoid
    dpkg-shlibdeps warnings
  * Switch to debhelper 13
  * Set Rules-Requires-Root: no
  * Add Build-Depends-Package: libgtkdatabox-dev to symbols file
  * Set Multi-Arch fields as per Multiarch hinter
  * Bump Standards-Version to 4.5.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 26 Dec 2020 15:40:57 +0000

libgtkdatabox (1:0.9.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop libgtkdatabox0-libglade package and stop using ancient libglade2
    (Closes: #653827, #967875)
  * Drop libgtkdatabox0-glade package, there is a mix between GTK+2.0 and
    GTK+3.0 headers when compiled with the newer version of glade. This fix a
    FTBFS with glade 3.38 (Closes: #977184)
  * Remove Ramakrishnan Muthukrishnan from the Uploaders list, thanks to him
    for his past work on the package (Closes: #859284)
  * debian/patches/cross.patch: Fix cross-compilation, thanks Helmut Grohne
    for the patch (Closes: #894046)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 12 Dec 2020 14:19:46 +0100

libgtkdatabox (1:0.9.3.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Drop useless get-orig-source target
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Do not parse d/changelog
  * Fix upstream build system to use proper SONAME (this prevents us
    from always changing package name for every single nano upgrade)
  * Adapt package names to SONAME
  * Add symbols file
  * Drop unused lintian override

 -- Andreas Tille <tille@debian.org>  Sun, 13 Jan 2019 12:50:01 +0100

libgtkdatabox (1:0.9.3.0+dfsg-3) unstable; urgency=medium

  * Add further missing conflicts to renamed package
    Closes: #843931
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2016 22:52:11 +0100

libgtkdatabox (1:0.9.3.0+dfsg-2) unstable; urgency=medium

  * Glade has moved to Multiarch
    Closes: #843670
  * Add conflicts for version renamed glade package
    Closes: #843931

 -- Andreas Tille <tille@debian.org>  Tue, 15 Nov 2016 08:29:35 +0100

libgtkdatabox (1:0.9.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Compression done in d/watch
  * cme fix dpkg-control
  * unversioned development+doc packages
  * bump version of shared library package
  * fix spelling in long description
  * source package now section science
    Closes: #798062
  * delete useless autogenerated doxygen files
  * hardening=+bindnow
  * cme fix dpkg-copyright
  * fix lintian overrides

 -- Andreas Tille <tille@debian.org>  Wed, 19 Oct 2016 14:43:58 +0200

libgtkdatabox (1:0.9.2.0+dfsg-1) unstable; urgency=medium

  * Use dh-autoreconf to update autoconf files (Thanks for the patch to
    Breno Leitao <brenohl@br.ibm.com>)
    Closes:  #755729
  * Exclude compressed jquery.js from upstream source (its not used anyway)
  * Use dh_links instead of dh_linktrees since jquery.js was removed
  * debian/control: Fix capitalisation of API

 -- Andreas Tille <tille@debian.org>  Sun, 27 Jul 2014 21:07:25 +0200

libgtkdatabox (1:0.9.2.0-4) unstable; urgency=low

  * Use --multiarch to make sure library is correctly installed into
    /usr/lib/<architecture-tripplet>
  * Drop d-devlibdeps call which is redundant because automatically
    called in d-shlibmove
  * cme fix dpkg-control
  * debian/rules: Regard multi-arch builds
    Closes: #735795
  * debian/libgtkdatabox-0.9.2-0.lintian-overrides: adapt override to
    multi-arch location

 -- Andreas Tille <tille@debian.org>  Sun, 19 Jan 2014 15:08:32 +0100

libgtkdatabox (1:0.9.2.0-3) unstable; urgency=low

  [ Daniele E. Domenichelli ]
  * Add 05_explicitly_link_libm.patch
  * Add 06_gladeui-2.0.patch
  * debian/control
     - Add quilt to b-d
     - Change b-d from libgladeui-1-dev to libgladeui-dev
       Closes: #709242
  * debian/rules
     - Fix installed files glade3 -> glade

  [ Andreas Tille ]
  * debian/control:
     - Explicit Build-Dependency from quilt is not needed.
     - Standards-Version: 3.9.4 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 23 May 2013 20:14:04 +0200

libgtkdatabox (1:0.9.2.0-2) unstable; urgency=low

  * debian/control: Add proper conflicts betwen new -doc package and
    old -dev package containing the same files
    Closes: #708667

 -- Andreas Tille <tille@debian.org>  Sat, 18 May 2013 12:26:31 +0200

libgtkdatabox (1:0.9.2.0-1) unstable; urgency=low

  * New upstream version
    Removed unneeded patche: 03_deprecated_GTK.patch
    Refreshed remaining patches
  * Reflect move to Git by changing Vcs fields
  * debian/control:
     - Remove DM-Upload-Allowed
     - Standards-Version: 3.9.4 (no changes needed)
     - Priority: s/extra/optional/
     - Normalised
     - different short descriptions
     - new binary package featuring API documentation separately
  * debian/rules: New version does not contain docs/reference
    any more so no need for extra handling

 -- Andreas Tille <tille@debian.org>  Fri, 10 May 2013 08:20:16 +0200

libgtkdatabox (1:0.9.1.3-1) experimental; urgency=low

  * Upload to experimental because of freeze
  * New upstream version
     - Refreshed remaining patches
     - Deleted 02_deprecated_GTK.patch which was applied upstream
  * Incorporated patch from Ubuntu version below
    Closes: #640004
  * debian/README.source: removed because redundant
  * debian/control:
     - Standards-Version: 3.9.3
     - Updated versioned package names
     - Fixed Vcs fields
     - Dropped Build-Depends cdbs, quilt
     - Do not repeat Section field in binary packages if not
       required by d-shlibs
  * debhelper 9 (control+compat)
  * debian/rules:
     - cdbs -> dh
     - enable building twice in a row by creating a copy of original
       docs/reference which differs drastically from the doc created
       in the build process
     - implement some dh_install, dh_link calls directly in rules
       instead of helper files to reduce the number of cases where
       you need to change the package name due to version number
       changes
  * libgtkdatabox-0.9.1-3.lintian-overrides: Use override because the
    symlink check seems to be a false positive here

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jul 2012 15:02:19 +0200

libgtkdatabox (1:0.9.1.1-4ubuntu1) oneiric; urgency=low

  * Undefined GDK_DISABLE_DEPRECATED to avoid warning: assignment makes
    pointer from integer without a cast. Fix FTBFS on amd64. LP: #831147.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Sep 2011 13:39:05 +0200

libgtkdatabox (1:0.9.1.1-4) unstable; urgency=low

  [Luk Claes]
  * Don't ship .la files (Closes: #621640).

  [Andreas Tille]
  * Standards-Version: 3.9.2 (no changes needed)
  * Debhelper 8 (control + compat)
  * debian/source/format: 3.0 (quilt)
  * debian/control: Short descriptions without leading article

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jul 2011 21:54:11 +0200

libgtkdatabox (1:0.9.1.1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/03_deprecated_GTK.patch:
    - Get rid of more deprecated GTK functions (Closes: #622040).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 21 May 2011 12:39:18 +0200

libgtkdatabox (1:0.9.1.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/02_deprecated_GTK.patch:
    - Replace deprecated GTK macro with related function (Closes: #577384).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 08 May 2010 14:19:31 +0200

libgtkdatabox (1:0.9.1.1-3) unstable; urgency=low

  * debian/control: added conflicts to older versions not
    yet providing libgtkdatabox-libglade which really
    Closes: #551424, #551423

 -- Andreas Tille <tille@debian.org>  Thu, 22 Oct 2009 10:23:24 +0200

libgtkdatabox (1:0.9.1.1-2) unstable; urgency=low

  * debian/control:
    Package: libgtkdatabox-*-libglade
      Provides: libgtkdatabox-libglade
      Conflicts: libgtkdatabox-libglade
    Closes: #551424

 -- Andreas Tille <tille@debian.org>  Sun, 18 Oct 2009 22:29:41 +0200

libgtkdatabox (1:0.9.1.1-1) unstable; urgency=low

  * New upstream version
    Closes: #551264
  * Teached debian/watch to scan new location (SF)
  * debian/control:
    - Standards-Version: 3.8.3 (added README.source)
    - Updated Homepage field
    - Update package name to new version
    - debhelper 7
  * debian/rules: Prevent compression of .devhelp files


 -- Andreas Tille <tille@debian.org>  Wed, 24 Jun 2009 15:10:33 +0200

libgtkdatabox (1:0.9.0.1-2) unstable; urgency=low

  * Glade support (thanks to Norbert BÉRCI <bercin@t-email.hu>)
    Closes: #504166, #508830
  * Use quilt to handle patches
  * Added doc-base entry
  * Do not use local copy of d-shlibs any more
    Closes: #527481
  * debian/copyright: put packaging under "same licence as
    gtkdatabox itself
  * debian/control:
    - Standards-Version: 3.8.1 (no changes needed)
    - Added missing ${misc:Depends} to libgtkdatabox-0.9.0-1-dev
    - Versioned Depends from d-shlibs (>= 0.40)

 -- Andreas Tille <tille@debian.org>  Fri, 08 May 2009 09:18:48 +0200

libgtkdatabox (1:0.9.0.1-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 10 Sep 2008 07:51:00 +0200

libgtkdatabox (1:0.9.0.0-1) unstable; urgency=low

  * New upstream version
  * Group maintenance by Debian Science Team
    - Maintainer set to Debian Science maintainer list
    - Set former maintainers as Uploaders
    - DM-Upload-Allowed: yes
    - Vcs Fields
  * Added Homepage field
  * Standards-Version: 3.8.0 (no changes needed)
  * Switch to cdbs because this enables very small rules files
    and enable others quickly to work on the package
  * Use d-shlibs to move files around which is a very good
    idea for dynamic libraries

 -- Andreas Tille <tille@debian.org>  Tue, 01 Jul 2008 14:51:57 +0200

libgtkdatabox (1:0.8.2.2-1) unstable; urgency=low

  * New upstream release

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Mon, 21 Jan 2008 22:25:14 +0530

libgtkdatabox (1:0.8.2.1-2) unstable; urgency=low

  * debian/rules: First time when the package tries to do distclean,
  it fails as Makefiles are not present. So added checks for presence
  of the Makefile.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sat, 22 Dec 2007 08:22:14 +0530

libgtkdatabox (1:0.8.2.1-1) unstable; urgency=low

  * New upstream release

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Fri, 21 Dec 2007 21:43:03 +0530

libgtkdatabox (1:0.7.0.1-1) unstable; urgency=low

  * New upstream release.
  * Updated maintainer email ID.
  * Several misc changes in debian/control.
  * Added shlibs file.
  * made the package `lintian-clean'.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sun, 01 Jul 2007 23:29:40 +0530

libgtkdatabox (1:0.7.0.0-1) unstable; urgency=low

  [ Ramakrishnan Muthukrishnan ]
  * New upstream release (closes: #411726).
  * New Maintainer.

  [ Andreas Tille ]
  * Upload

 -- Andreas Tille <tille@debian.org>  Mon,  5 Mar 2007 08:51:37 +0100

libgtkdatabox (1:0.6.0.0-2) unstable; urgency=low

  * Include gtkdatabox.pc (Thanks to Ramakrishnan Muthukrishnan
     <rkrishnan@symonds.net>)
    Closes: #411724

 -- Andreas Tille <tille@debian.org>  Tue, 20 Feb 2007 23:25:18 +0100

libgtkdatabox (1:0.6.0.0-1) unstable; urgency=low

  * New upstream version
  * Removed general section libs in control file because it is
    named in each package separately
  * Standards-Version: 3.7.2 (no changes necessary)
  * Debhelper >= 5
  * Make usage of d-shlibmove (thanks to Junichi Uekawa for the
    --override hint)

 -- Andreas Tille <tille@debian.org>  Mon,  7 Aug 2006 06:20:44 +0200

libgtkdatabox (1:0.2.4.7-2) unstable; urgency=low

  * Added Depends libgtk2.0-dev to dev package
    Closes: #314233

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jun 2005 08:11:41 +0200

libgtkdatabox (1:0.2.4.7-1) unstable; urgency=low

  * New upstream version
    closes: #306927
  * Added watch file
  * Fixed homepage in copyright file
  * Bumped Standards-Version to 3.6.1.1 (no changes necessary)

 -- Andreas Tille <tille@debian.org>  Mon,  9 May 2005 13:22:46 +0200

libgtkdatabox (1:0.2.3.0-2) unstable; urgency=low

  * Rebuild with new automake, libtool which *hopefully*
    closes: #190231
  * Versioned Build-Depends against libgtk2.0-dev (>= 2.2.1-5) which *hopefully*
    closes: #190038
    according to a hint of Bill Allombert <allomber@math.u-bordeaux.fr>

 -- Andreas Tille <tille@debian.org>  Tue, 20 May 2003 14:36:05 +0200

libgtkdatabox (1:0.2.3.0-1) unstable; urgency=low

  * The "I'm against war" release
    Mankind must put an end to war before war puts an end to mankind.
        -- John F. Kennedy
  * New upstream version.
  * Moved libgtkdatabox-dev to libdevel according to
      http://lists.debian.org/debian-devel-announce/2003/debian-devel-announce-200303/msg00028.html
  * Standards-Version: 3.5.9
  * Build-Depends: libgtk2.0-dev
    because Version 0.2.3.0 needs Gtk+2.0
  * debian/compat now stores debhelper compatibility version
  * Compliant to developers reference "6.3.2. Upstream home page"
    XBCS-URL: http://www.eudoxos.de/gtk/gtkdatabox/
  * New Makefile for examples.
  * Replaced upstream config.{guess,sub} by the files from debian automake

 -- Andreas Tille <tille@debian.org>  Wed,  9 Apr 2003 09:02:28 +0200

libgtkdatabox (1:0.1.13.0-5woody) stable; urgency=low

  * Only change is upload to woody-proposed-updates regarding to the
    hint from Anthony Towns <aj@humbug.org.au> at
     http://lists.debian.org/debian-devel-announce/2002/
            debian-devel-announce-200206/msg00003.html
    and in private mail to get this package ready for woody.
  * Comment for users who might wonder why libgtkdatabox was not released
    in Debian 3.0 (Woody): This package is as stable as the version from
    Debian 2.2 (Potato) and was not really changed. The only reason for
    keeping it out from Woody is that the name of the binary package has
    to be changed near the freeze process which caused a delay in getting
    it prepared right in time for technical reasons.
  * It is assured that this version will be maintained over the life time
    of woody in this shape.

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jul 2002 14:44:32 +0200

libgtkdatabox (1:0.1.13.0-6) unstable; urgency=high

  * The 'I hope this is the last upload for Woody' - Release
  * urgency=high because it really fixes a RC bug
    Closes: #143908
  * This is *NOT A NEW PACKAGE*.  It was just renamed to ensure
    smooth upgrade from potato (see BTS #143908)
  * Now renamed package regarding to the suggestion of
    Junichi Uekawa <dancer@netfort.gr.jp> properly
  * Replaces: libgtkdatabox
  * Make development package
      Depends: libgtkdatabox-0.1.13-0 (= ${Source-Version})
  * Many thanks to Junichi Uekawa <dancer@netfort.gr.jp>

 -- Andreas Tille <tille@debian.org>  Fri, 26 Apr 2002 23:10:19 +0200

libgtkdatabox (1:0.1.13-0-5) unstable; urgency=high

  * urgency=high because it fixes a RC bug
  * Changed versioning according to SONAME issues following the suggestions of
      http://www.netfort.gr.jp/~dancer/column/libpkg-guide/
    Replaces: libgtkdatabox
    Thanks to Junichi Uekawa <dancer@netfort.gr.jp>
    Closes: #143908
  * Use epoch to make this package a higher version than the old one
    in woody.
  * Used dh_installchangelogs sanely.
  * Fixed spelling bug in description.
  * Added
       dh_makeshlibs -V 'libgtkdatabox (>= 0.1.3)'
    to get versioned dependencies in programs linked against libgtkdatabox.

 -- Andreas Tille <tille@debian.org>  Tue, 23 Apr 2002 20:51:59 +0200

libgtkdatabox (0.1.13.0-4) unstable; urgency=low

  * Fixes some Lintian bugs
  * Standards-Version: 3.5.6

 -- Andreas Tille <tille@debian.org>  Wed, 19 Dec 2001 07:29:46 +0100

libgtkdatabox (0.1.13.0-3) unstable; urgency=low

  * closes: #99371
    by replacing old libtoolized files of upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2001 14:41:00 +0200

libgtkdatabox (0.1.13.0-2) unstable; urgency=low

  * Changed section field to libs

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2001 14:12:25 +0200

libgtkdatabox (0.1.13.0-1) unstable; urgency=low

  * New upstream version
  * New Maintainer key
  * switched to debhelper
  * added build-depends

 -- Andreas Tille <tille@debian.org>  Tue, 15 May 2001 16:01:12 +0200

libgtkdatabox (0.1.12.3-1) unstable; urgency=low

  * New upstream version (bugfixes only)

 -- Andreas Tille <tillea@rki.de>  Fri, 29 Oct 1999 08:52:07 +0200

libgtkdatabox (0.1.12.2-1) unstable; urgency=low

  * New upstream version
  * FHS

 -- Andreas Tille <tillea@rki.de>  Mon, 19 Jul 1999 14:17:11 +0000

libgtkdatabox (0.1.12.0-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@physik.uni-halle.de>  Tue, 25 May 1999 17:21:16 +0100

libgtkdatabox (0.1.11.0-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@physik.uni-halle.de>  Mon, 29 Mar 1999 15:21:13 +0100

libgtkdatabox (0.1.10.4-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@physik.uni-halle.de>  Mon, 15 Mar 1999 8:33:13 +0100

libgtkdatabox (0.1.10.0-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@physik.uni-halle.de>  Tue, 9 Mar 1999 10:42:17 +0000

libgtkdatabox (0.1.7.6-3) unstable; urgency=low

  * corrected FTP source in copyright file

 -- Andreas Tille <tille@physik.uni-halle.de>  Fri, 24 Feb 1999 14:42:17 +0000

libgtkdatabox (0.1.7.6-2) unstable; urgency=low

  * Fixes Bug#33708

 -- Andreas Tille <tille@physik.uni-halle.de>  Tue, 23 Feb 1999 14:42:17 +0000

libgtkdatabox (0.1.7.6-1) unstable; urgency=low

  * new upstream version

 -- Andreas Tille <tille@physik.uni-halle.de>  Thu, 11 Feb 1999 20:42:17 +0000

libgtkdatabox (0.1.7.0-1) unstable; urgency=low

  * new upstream version
  * recompiled against GTK+1.1.13

 -- Andreas Tille <tille@physik.uni-halle.de>  Thu, 27 Jan 1999 20:08:17 +0000

libgtkdatabox (0.1.6.74-2) unstable; urgency=low

  * recompiled against GTK+1.1.11

 -- Andreas Tille <tille@physik.uni-halle.de>  Thu, 07 Jan 1999 10:42:17 +0000


libgtkdatabox (0.1.6.74-1) unstable; urgency=low

  * view changes in Makefile.am to make libtool build testdatabox

 -- Andreas Tille <tille@physik.uni-halle.de>  Wed, 17 Dec 1998 13:42:13 +0000


libgtkdatabox (0.1.6.74-1) unstable; urgency=low

  * view changes in Makefile.am to make libtool build testdatabox

 -- Andreas Tille <tille@physik.uni-halle.de>  Wed, 17 Dec 1998 13:42:13 +0000


libgtkdatabox (0.1.6.73-2) unstable; urgency=low

  * recompiled against GTK+1.1.7

 -- Andreas Tille <tille@physik.uni-halle.de>  Wed, 16 Dec 1998 18:42:13 +0000

libgtkdatabox (0.1.6.73-1) unstable; urgency=low

  * GtkDatabox widget from Roland Bock <rbock@physik.uni-kiel.de>
    I use it in paul and made public independently from it for
    public use.

 -- Andreas Tille <tille@physik.uni-halle.de>  Tue, 15 Dec 1998 19:21:43 +0000
